Create a user
curl --request POST \
--url https://production.runalloy.com/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"username": "<string>",
"fullName": "<string>"
}
'import requests
url = "https://production.runalloy.com/users"
payload = {
"username": "<string>",
"fullName": "<string>"
}
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({username: '<string>', fullName: '<string>'})
};
fetch('https://production.runalloy.com/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "675987329f2bda83f0dff233"
}"{}"Users
Create a user
Creates a new user in your Embedded account. The user record acts like a “container” to store all the integrations, workflows, and credentials for any given user. Returns a user identifier.
POST
/
users
Create a user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API version
Body
application/json
The username to be associated with the user. To easily identify a customer, we recommend using a friendly username such as an email for example. The username must be unique (this acts as an identifier to reference and lookup a given merchant on your platform).
The name of the user you want to create. Typically a full name.
Response
200
Example:
"xyz123abc098754"
⌘I

